﻿using C1.WPF.FlexGrid;
using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace ImageConditional
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            //adding rows with demo values to grid
            for (int i = 0; i < 10; i++)
            {
                var row = new Row();
                flexGrid.Rows.Add(row);
                row[0] = i % 2 == 0 ? "Show" : "Hide";
            }

            //assigning custom CellFactory
            flexGrid.CellFactory = new CustomCellFactory();
        }
    }

    class CustomCellFactory: CellFactory
    {
        public override void CreateCellContent(C1FlexGrid grid, Border bdr, CellRange rng)
        {
            //let the grid create cell content
            base.CreateCellContent(grid, bdr, rng);

            //if image column
            if (grid.Columns[rng.Column].ColumnName.Equals("Image"))
            {
                //get the value from ImageStatus column
                //here, you can use your own specific conditions
                if (grid[rng.Row, "ImageStatus"].ToString().Equals("Show"))
                {
                    //get image
                    var bitmap = new BitmapImage(new Uri("pack://application:,,,/Resources/sample.png"));
                    var image = new Image
                    {
                        Width = bitmap.Width,
                        Height = bitmap.Height,
                        Source = bitmap,
                        Stretch = Stretch.Uniform
                    };

                    //set image in cell
                    bdr.Child = image;
                }
            }
        }
    }
}
